#include <iostream>

#include "Localization.h"

using namespace std;

const char Localization::TYPE_ID[] = "Localization";

ostream&
operator<<(ostream &os, Localization &loc)
{
	os << "[PosData]" << fixed << endl;
	os << "time:       " << loc.time << endl;
	os << "coorfinate: " << loc.coordinate << endl;
	os << "pos:        " << "(" << loc.pos_x     << ", " << loc.pos_y     << ", " << loc.pos_the     << ")" << endl;
	os << "pos_err:    " << "(" << loc.pos_err_x << ", " << loc.pos_err_y << ", " << loc.pos_err_the << ")" << endl;
	os << "vel:        " << "(" << loc.vel_x     << ", " << loc.vel_y     << ", " << loc.vel_the     << ")" << endl;

	return os;
}
