#include <iostream>

#include "Object.h"

using namespace std;


const char Object::TYPE_ID[] = "Object";

ostream&
operator<<(ostream &os, Object &obj)
{
	os << fixed << endl;
	os << "time:       " << obj.time << endl;
	os << "coordinate: " << obj.coordinate << endl;
	os << "pos:        " << "(" << obj.pos_x     << ", " << obj.pos_y     << ", " << obj.pos_the     << ")" << endl;
	os << "pos_err:    " << "(" << obj.pos_err_x << ", " << obj.pos_err_y << ", " << obj.pos_err_the << ")" << endl;
	os << "diameter:   " << obj.diameter << endl;
	os << "vel:        " << "(" << obj.vel_x     << ", " << obj.vel_y     << ", " << obj.vel_the     << ")" << endl;

	return os;
}


const char DetectObject::TYPE_ID[] = "DetectObject";

ostream&
operator<<(ostream &os, DetectObject &objs)
{
	int i;

	os << fixed << endl;
	os << "time:       " << objs.time << endl;
	os << "object num: " << objs.object.size() << endl;

	for(i=0; i<static_cast<int>(objs.object.size()); i++){
		os << objs.object[i];
	}

	return os;
}

