#include <iostream>

#include "RobotParam.h"

using namespace std;

const char RobotParam::TYPE_ID[] = "RobotParam";

ostream&
operator<<(ostream &os, RobotParam &param)
{
	os << fixed << endl;
	os << "time:       " << param.time << endl;
	os << "coordinate: " << param.coordinate << endl;
	os << "shape:      " << "((" << param.shape_x0 << ", " << param.shape_y0 << ")-(" << param.shape_x1 << ", " << param.shape_y1 << "))" << endl;
	os << "mobility:   " << "((" << param.mobility_x0 << ", " << param.mobility_y0 << ", " << param.mobility_the0 << ")";
	os <<                   "-(" << param.mobility_x1 << ", " << param.mobility_y1 << ", " << param.mobility_the1 << "))" << endl;

	return os;
}

