#include <iostream>

#include "JoystickData.h"

using namespace std;

const char JoystickData::TYPE_ID[] = "JoystickData";

ostream&
operator<<(ostream &os, JoystickData &joy)
{
	int i, size;

	os << "[JoystickData]" << fixed << endl;
	os << "time:       " << joy.time << endl;

	os << "button:     ";
	size = joy.button.size();
	for(i = 0; i < size; i ++){
		os << "  " << joy.button[i] << " ";
	}
	os << endl;

	os << "axis:       ";
	size = joy.axis.size();
	for(i = 0; i < size; i ++){
		os << "  " << joy.axis[i] << " ";
	}
	os << endl;

	return os;
}
