#include <iostream>

#include "Path.h"

using namespace std;

const char Path::TYPE_ID[]  = "Path";

ostream&
operator<<(ostream &os, Path &path)
{
	int i;
	int size = path.path.size();

	os << fixed << endl;
	os << "time:       " << path.time << endl;
	os << "coordinate: " << path.coordinate << endl;
	os << "size:       " << size << endl;
	for(i=0; i<size; i++){
		os << "  " << path.path[i] << endl;
	}

	return os;
}

std::ostream&
operator<<(std::ostream &os, Node  &node)
{
	os << "path: " << node.node << ", vel: " << node.vel;

	return os;
}

std::ostream&
operator<<(std::ostream &os, Point &point)
{
	os << fixed << "(" << point.x <<  ", " << point.y << ", " << point.t << ")";

	return os;
}

